#
# spec file for package lxrandr
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lxrandr
Version:        0.3.2
Release:        1.21
Summary:        Lightweight Monitor Config Tool
License:        GPL-2.0-only
Group:          System/GUI/LXDE
URL:            http://www.lxde.org/
Source0:        https://sourceforge.net/projects/lxde/files/LXRandR%20%28monitor%20config%20tool%29/LXRandR%200.3.x/%{name}-%{version}.tar.xz
BuildRequires:  docbook-utils
BuildRequires:  fdupes
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
Recommends:     %{name}-lang
%lang_package

%description
LXRandR is a lightweight Monitor Config Tool

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
%suse_update_desktop_file %{name}
%find_lang %{name}
%fdupes -s %{buildroot}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/lxrandr.desktop
%{_mandir}/man1/lxrandr.1%{?ext_man}

%files lang -f %{name}.lang
%license COPYING

%changelog
* Sat Jul  4 2020 Andreas Stieger <andreas.stieger@gmx.de>
- lxrandr 0.3.2:
  * Fix crash with some monitor names
* Sun Dec 25 2016 trcs@gmx.com
- new upstream veresion 0.3.1
  * Move man/lxrandr.xml into data/ directory to fix 'make distcheck'
    with this
  * Add a Keywords line into lxrandr.desktop file
  * Add icon to the about dialog
  * Add MATE to NotShowIn in desktop entries
  * Use video-display as icon
  * Translation updates
- Removed not needed icon display.png
* Fri Sep 19 2014 trcs@gmx.com
- new upstream version 0.3.0
  * Add compilation notes into README file
  * Add AC_CONFIG_MACRO_DIR to configure.ac and ACLOCAL_AMFLAGS to
    Makefile.am
  * Add --enable-debug option to configure script
  * Fix missing m->active_rate correction
  * Implement confirmation dialog on mode(s) change
  * Fix choise "show the same image on both monitors"
  * Implement automatic diagnostic for monitors placement
  * Correctly set state of 'Turn On' button
  * Correctly react on 'Enable' button toggle
  * Fix invalid selection which monitor should be disabled to change
    position
  * Fix formatting of xrandr command, new options don't work
  * Implement positioning of monitors in 'Advanced' tab
  * Fix notebook internal monitor detection
  * Fix spelling error: accessable -> accessible
  * Translation updates
* Mon Sep  8 2014 trcs@gmx.com
- new upstream version 0.2.0
  * Don't exit on 'Apply' button but let user try another mode or
    save it
  * debian: fix override_dh_autoreconf
  * Fix quick options button selection - it should not exit but let
    it be saved
  * Make more strings translatable
  * Syntax commit -- replace tab with spaces.
  * Add two other quick options:
    + (1) put external to right of LVDS
    + (2) put it above LVDS
  * [i18n] POT file update
  * [SF#533] debian: update with files from Debian, with some
    changes required in daily build
  * [SF#641] Use sh -c 'xranrd ....' to Exec in autostarted file
  * Update copyright year: 2008-2011 -> 2008-2014
  * Fix regexp to find interface: DVI-I-1 isn't parsed correctly
  * autogen.sh: remove call to never used libtoolize
  * Remove po/LINGUAS - it's autogenerated
  * Use macro AM_MAINTAINER_MODE correct way - with ([enable])
  * Run autoupdate to update some items in configure.ac
  * Move configure.in to configure.ac
  * Re-apply the state of autogen.sh
  * Fix autogen.sh with newer autotools
  * Fix NotShowIn (#3537359) and add X-LXDE-Settings category for
    consistency the upcoming LXDE Control Center
  * Use freedesktop.org compatible name for the icon in the desktop
    file
- spec file clean up
- split lang package
* Sun Jul 24 2011 andrea@opensuse.org
- new upstream version 0.1.2
  * bug fixes
  * added gtk3 support
- removed patches in upstream code
* Mon Mar 14 2011 gber@opensuse.org
- call %%desktop_database_post/un
* Fri Feb 25 2011 gber@opensuse.org
- added lxrandr-0.1.1-fix-missing-intltool-init.patch to
  properly initialize intltool and fix infinite loop while building
  message catalogs
* Mon Jun  7 2010 andrea@opensuse.org
- changed RPM Group to System/GUI/LXDE
* Tue Apr  6 2010 andrea@opensuse.org
- removed unsopported locales
* Wed Mar 31 2010 andrea@opensuse.org
- Fixed desktop icon Categories
* Tue Dec 15 2009 andrea@opensuse.org
- bizipped source and minor changes before commit to factory
* Wed Jul  8 2009 andrea@opensuse.org
- New upstream version 0.1.1
* Fri May 22 2009 andrea@opensuse.org
- New package
